# OgreZip.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreArchive.h"`
`#include "OgreArchiveFactory.h"`

Go to the source code of this file.

## Classes

class | Ogre::ZipArchive
| Specialisation of the Archive class to allow reading of files from a zip format source archive. More...
class | Ogre::ZipArchiveFactory
| Specialisation of ArchiveFactory for Zip files. More...
class | Ogre::StaticCache< cacheSize >
| Template version of cache based on static array. More...
class | Ogre::ZipDataStream
| Dummy version of cache to test no caching. More...

## Namespaces

namespace | Ogre

## Typedefs

typedef struct zzip_dir | ZZIP_DIR
typedef struct zzip_file | ZZIP_FILE

## Typedef Documentation

typedef struct zzip_dir ZZIP_DIR

Definition at line 37 of file OgreZip.h.

typedef struct zzip_file ZZIP_FILE

Definition at line 38 of file OgreZip.h.

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:52